import request from '@/utils/request'

// 查询cps_glb_msg 全局消息列表
export function listMsg(query) {
  return request({
    url: '/cp/msg/list',
    method: 'get',
    params: query
  })
}

// 查询cps_glb_msg 全局消息详细
export function getMsg(id) {
  return request({
    url: '/cp/msg/' + id,
    method: 'get'
  })
}

// 新增cps_glb_msg 全局消息
export function addMsg(data) {
  return request({
    url: '/cp/msg',
    method: 'post',
    data: data
  })
}

// 修改cps_glb_msg 全局消息
export function updateMsg(data) {
  return request({
    url: '/cp/msg',
    method: 'put',
    data: data
  })
}

// 删除cps_glb_msg 全局消息
export function delMsg(id) {
  return request({
    url: '/cp/msg/' + id,
    method: 'delete'
  })
}
